{% block sw_product_variant_info %}
    <span v-if="media" class="sw-product-variant-info" :class="titleClasses">
        <span class="sw-product-variant-info__text">
            {% block sw_product_variant_info_product_name %}
                <div v-hover-card="{
                    message: helpText,
                    type: 'image',
                    source: media ? media : null,
                    width: 320,
                    disabled: !showTooltip,
                    appearance: 'light',
                    showDelay: 500,
                    hideDelay: 100
                }">
                    <sw-media-preview-v2 
                        v-if="media"
                        :source="media ? media : null"
                        :transparency="false"
                    >
                    </sw-media-preview-v2>
                </div>
                <span 
                    class="sw-product-variant-info__product-name" 
                    v-tooltip="{
                        message: helpText,
                        width: tooltipWidth,
                        disabled: !showTooltip
                    }"
                >
                    <template v-if="highlighted">
                        <sw-highlight-text
                                :text="getFirstSlot()"
                                :searchTerm="searchTerm">
                        </sw-highlight-text>
                    </template>
                    <template v-else>
                        <slot></slot>
                    </template>
                </span>
            {% endblock %}
            {% block sw_product_variant_info_options %}
                <span v-if="variations.length > 0"
                    v-for="(variation, index) in variations"
                    class="sw-product-variant-info__specification"
                    :key="variation.group">
                    <template v-if="index === 0 && !ommitParenthesis">(</template>

                    {% block sw_product_variant_info_options_text %}
                        <span>{{ variation.group }}</span>: {{ variation.option }}
                    {% endblock %}

                    <template v-if="index !== Object.keys(variations).length - 1">{{ seperator }}</template>

                    <template v-if="index === Object.keys(variations).length - 1 && !ommitParenthesis">)</template>
                </span>
            {% endblock %}
        </span>
    </span>
    <div v-else>
        {% parent() %}
    </div>
{% endblock %}
